Attribute VB_Name = "MODUL_RESOURCE"
Option Explicit

'Globale Variablen:
Public ResCount   As Long 'Gibt an, wieviele Ressourcen
                          'bereits geladen wurden


' Ressource leeren (Bitmap entfernen, Speichern freigeben)
Public Sub RES_CLEAR(Nr As Long)
  On Local Error Resume Next
  RESSOURCEN.RES(ResCount).Picture = LoadPicture()
End Sub

' Handle einer Ressource zurckgeben.
' Damit ist natrlich das Handle des DeviceContext gemeint.
Public Function RES_HDC(Nr As Long)
  On Local Error Resume Next
  RES_HDC = RESSOURCEN.RES(Nr).hDC
End Function

' Ldt eine Bitmap in eine Ressource
Public Sub RES_LOAD(RES, Datei$)
  On Local Error Resume Next
  RESSOURCEN.RES(RES).Picture = LoadPicture(Datei$)
End Sub

' Legt eine neue Ressource an und liefert die Nummer
' zurck. Dabei wird die neue Ressource so eingestellt,
' da die Einheit Pixel ist und AutoRedraw und AutoSize
' auf True stehen
Public Function RES_NEW()
  On Local Error Resume Next
   
  ResCount = ResCount + 1
  Load RESSOURCEN.RES(ResCount)
  RES_NEW = ResCount
End Function

' Alle Ressourcen lschen
Public Function RES_RESET()
  On Local Error Resume Next

  For RES_COUNT = RES_COUNT To 0 Step -1
    Unload RESSOURCEN.RES(RES_COUNT)
  Next RES_COUNT
    
  RES_COUNT = 0
End Function

