VERSION 5.00
Begin VB.Form MAIN 
   Appearance      =   0  '2D
   BackColor       =   &H00C0C0C0&
   Caption         =   "VB Kurs-Pacman"
   ClientHeight    =   3315
   ClientLeft      =   1080
   ClientTop       =   1725
   ClientWidth     =   4755
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Icon            =   "PACMAN.frx":0000
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'ZReihenfolge
   ScaleHeight     =   3315
   ScaleWidth      =   4755
   Begin VB.PictureBox DISPLAY 
      Appearance      =   0  '2D
      AutoRedraw      =   -1  'True
      BackColor       =   &H80000005&
      ForeColor       =   &H80000008&
      Height          =   1875
      Left            =   180
      Picture         =   "PACMAN.frx":030A
      ScaleHeight     =   123
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   240
      TabIndex        =   0
      Top             =   180
      Width           =   3630
   End
   Begin VB.PictureBox BACK 
      Appearance      =   0  '2D
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      BackColor       =   &H80000005&
      ForeColor       =   &H80000008&
      Height          =   990
      Left            =   60
      ScaleHeight     =   64
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   48
      TabIndex        =   1
      Top             =   60
      Visible         =   0   'False
      Width           =   750
   End
   Begin VB.Label STATUS 
      Alignment       =   2  'Zentriert
      Appearance      =   0  '2D
      BackColor       =   &H00C0C0C0&
      BorderStyle     =   1  'Fest Einfach
      Caption         =   "VB-Kurs PacMan - 1997 by PCD Visual@AOL.COM"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   0
      TabIndex        =   2
      Top             =   3060
      Width           =   4755
   End
   Begin VB.Menu M_S_TITLE 
      Caption         =   "&Spiel"
      Begin VB.Menu M_S_NEU 
         Caption         =   "&Neues Spiel starten"
         Shortcut        =   ^N
      End
      Begin VB.Menu M_S_SEP1 
         Caption         =   "-"
      End
      Begin VB.Menu M_S_BEENDEN 
         Caption         =   "&Beenden"
         Shortcut        =   ^B
      End
   End
   Begin VB.Menu M_I_TITLE 
      Caption         =   "&Info"
      Begin VB.Menu M_I_HIGHSCORE 
         Caption         =   "&Highscore sehen"
         Shortcut        =   ^H
      End
      Begin VB.Menu M_I_HILFE 
         Caption         =   "&Hilfe zum Spiel"
         Shortcut        =   {F1}
      End
      Begin VB.Menu M_I_SEP1 
         Caption         =   "-"
      End
      Begin VB.Menu M_I_INFO 
         Caption         =   "&Info ber"
         Shortcut        =   ^I
      End
   End
End
Attribute VB_Name = "MAIN"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Const MNU_NEW = 1
Private Const MNU_QUIT = 2
Private Const MNU_HIGH = 3
Private Const MNU_HELP = 4
Private Const MNU_INFO = 5

Dim MENU_WAHL

Private Sub DISPLAY_KEYDOWN(KeyCode As Integer, Shift As Integer)
  If KeyCode <= 255 Then
    KEY_DOWN(KeyCode) = 1
    KEY_LAST = KeyCode
  End If
End Sub

Private Sub DISPLAY_KEYUP(KeyCode As Integer, Shift As Integer)
  If KeyCode <= 255 Then
    KEY_DOWN(KeyCode) = 0
  End If
End Sub

Private Sub FORM_LOAD()
  Me.Show
  Call SPIEL
End Sub

Private Sub FORM_RESIZE()
  DISPLAY.Left = 0
  DISPLAY.Top = 0
  DISPLAY.Width = Me.ScaleWidth
  DISPLAY.Height = Me.ScaleHeight - STATUS.Height

  STATUS.Left = 0
  STATUS.Width = Me.ScaleWidth
  STATUS.Top = Me.ScaleHeight - STATUS.Height
  
  Call StretchBlt(DISPLAY.hDC, 0, 0, DISPLAY.ScaleWidth, _
                  DISPLAY.ScaleHeight, BACK.hDC, 0, 0, _
                  BACK.ScaleWidth, BACK.ScaleHeight, BIT_COPY)
                  
  DISPLAY.Picture = DISPLAY.Image
End Sub

Private Sub FORM_UNLOAD(Cancel As Integer)
  End
End Sub

Private Sub M_I_HIGHSCORE_CLICK()
  MENU_WAHL = MNU_HIGH
End Sub

Private Sub M_I_HILFE_CLICK()
  MENU_WAHL = MNU_HELP
End Sub

Private Sub M_I_INFO_CLICK()
  MENU_WAHL = MNU_INFO
End Sub

Private Sub M_S_BEENDEN_CLICK()
  MENU_WAHL = MNU_QUIT
End Sub

Private Sub M_S_NEU_CLICK()
  MENU_WAHL = MNU_NEW
End Sub

Private Sub SPIEL()
  Dim Level As Long, StartTime As Single, l As String
  
    On Local Error Resume Next

    PACMAN_INIT
    PACMAN_LOAD "LEVEL.001", "BACK1.BMP"
    FORM_RESIZE
    Level = 1
    StartTime = Timer
    Do
      If MIDI_PLAYING() = 0 Then
        MIDI_PLAY Pfad$ + "MUSIC1.MID"
      End If

      PACMAN_RUN
      STATUS.Caption = "Punkte: " + Str$(LEVEL_SCORE) + " Zeit: " + Str$(Fix(Timer - StartTime))
      
      DoEvents
        
      If MENU_WAHL <> 0 Then
        Select Case MENU_WAHL

          Case MNU_NEW:  PACMAN_LOAD "LEVEL.001", "BACK1.BMP"
                         Level = 1
                         LEVEL_SCORE = 0
                         LEVEL_NEXT = 0
                         FORM_RESIZE
                         StartTime = Timer
                
                
          Case MNU_QUIT: End


          Case MNU_HIGH: HIGHSCORE_EINTRAGEN = 0
                         HIGHSCORE.Show 1
        
          
          Case MNU_HELP: HILFE.Show 1
          
          
          Case MNU_INFO: INFO.Show 1

        End Select
        
        MENU_WAHL = 0
      End If

      
      If LEVEL_NEXT > 0 Then
        Level = Level + 1
        l = LTrim$(Str$(Level))
        If Len(l) < 3 Then l$ = "0" + l
        If Len(l) < 3 Then l$ = "0" + l
        If Dir$(Pfad + "LEVEL." + l) = "" Then
          HIGHSCORE_EINTRAGEN = 1
          HIGHSCORE.Show 1
          GELST.Show 1
          MENU_WAHL = MNU_NEW
        Else
          PACMAN_LOAD "LEVEL." + l, "BACK" + LTrim$(Str$(Level)) + ".BMP"
        LEVEL_NEXT = 0
          FORM_RESIZE
        End If
      End If

      If LEVEL_NEXT < 0 Then
        LEVEL_NEXT = 0
        MENU_WAHL = MNU_NEW
        VERLOREN.Show 1
        HIGHSCORE_EINTRAGEN = 1
        HIGHSCORE.Show 1
      End If
      
    Loop
End Sub

